Loading...
Searching...
No Matches
pcl::PrincipalRadiiRSD Struct Reference
Module common

A point structure representing the minimum and maximum surface radii (in meters) computed using RSD. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | PrincipalRadiiRSD ()=default
constexpr | PrincipalRadiiRSD (float _r_min, float _r_max)

## Public Attributes

float | r_min = 0.f
float | r_max = 0.f

## Friends

std::ostream & | operator<< (std::ostream &os, const PrincipalRadiiRSD &p)

## Detailed Description

A point structure representing the minimum and maximum surface radii (in meters) computed using RSD.

Definition at line 1123 of file point_types.hpp.

## Constructor & Destructor Documentation

## PrincipalRadiiRSD() [1/2]

constexpr pcl::PrincipalRadiiRSD::PrincipalRadiiRSD | ( |  | ) |

inline constexpr default

## PrincipalRadiiRSD() [2/2]

constexpr pcl::PrincipalRadiiRSD::PrincipalRadiiRSD | ( | float | _r_min,
|  | float | _r_max
| ) |  |

inline constexpr

Definition at line 1129 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PrincipalRadiiRSD & | p
| ) |  |

friend

## Member Data Documentation

## r_max

float pcl::PrincipalRadiiRSD::r_max = 0.f

Definition at line 1125 of file point_types.hpp.

## r_min

float pcl::PrincipalRadiiRSD::r_min = 0.f

Definition at line 1125 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp